%define  upstream_name Tree
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.1.4
Release:	%mkrel 3
Summary:	The Tree component handles the creating, manipulating and querying of tree
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.7
Requires: 	ezcomponents-Translation >= 1.1.2
Requires: 	ezcomponents-Cache >= 1.2.4
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
The Tree component handles the creating, manipulating and querying of tree
structures.  The component supports different storage algorithms for
optimal
performance.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Tree.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Tree.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/Tree
fi

%files
%defattr(-,root,root)
%doc docs/Tree/*
%{peardir}/data/Tree/design/class_diagram.png
%{peardir}/data/Tree/design/design.txt
%{peardir}/data/Tree/design/requirements.txt
%{peardir}/ezc/Tree/backends/memory.php
%{peardir}/ezc/Tree/backends/xml.php
%{peardir}/ezc/Tree/exceptions/exception.php
%{peardir}/ezc/Tree/exceptions/ids_do_not_match.php
%{peardir}/ezc/Tree/exceptions/invalid_class.php
%{peardir}/ezc/Tree/exceptions/invalid_id.php
%{peardir}/ezc/Tree/exceptions/invalid_xml.php
%{peardir}/ezc/Tree/exceptions/invalid_xml_format.php
%{peardir}/ezc/Tree/exceptions/missing_data.php
%{peardir}/ezc/Tree/exceptions/transaction_already_started.php
%{peardir}/ezc/Tree/exceptions/transaction_not_started.php
%{peardir}/ezc/Tree/exceptions/unknown_id.php
%{peardir}/ezc/Tree/interfaces/data_store.php
%{peardir}/ezc/Tree/interfaces/visitable.php
%{peardir}/ezc/Tree/interfaces/visitor.php
%{peardir}/ezc/Tree/options/visitor_xhtml.php
%{peardir}/ezc/Tree/options/visitor_yui.php
%{peardir}/ezc/Tree/stores/memory.php
%{peardir}/ezc/Tree/stores/xml.php
%{peardir}/ezc/Tree/stores/xml_internal.php
%{peardir}/ezc/Tree/structs/memory_node.php
%{peardir}/ezc/Tree/structs/transaction_item.php
%{peardir}/ezc/Tree/tree.php
%{peardir}/ezc/Tree/tree_autoload.php
%{peardir}/ezc/Tree/tree_node.php
%{peardir}/ezc/Tree/tree_node_list.php
%{peardir}/ezc/Tree/tree_node_list_iterator.php
%{peardir}/ezc/Tree/visitors/graphviz.php
%{peardir}/ezc/Tree/visitors/plain_text.php
%{peardir}/ezc/Tree/visitors/xhtml.php
%{peardir}/ezc/Tree/visitors/yui.php
%{peardir}/ezc/autoload/tree_autoload.php
%{xmldir}/Tree.xml



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.1.4-3.mga3
+ Revision: 349974
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 17 2011 spuhler <spuhler> 1.1.4-2.mga2
+ Revision: 125541
- increased rel to 2
  changed Requires: components to ezcomponents

* Sun Jul 17 2011 spuhler <spuhler> 1.1.4-1.mga2
+ Revision: 125136
- imported package ezcomponents-Tree

